=== debian/changelog ===
therion (5.3.15-2) unstable; urgency=medium

  * Update to use current wx GL API rather than deprecated methods:
    + New patch wx-gl-api-update.patch.
  * Rebuild with wxwidgets3.0 (Closes: #749687):
    + New patch: wx3.0-compat.patch

 -- Olly Betts <olly@survex.com>  Tue, 19 Aug 2014 15:01:27 +1200

therion (5.3.15-1) unstable; urgency=medium

  * New upstream release
  * Add myself to uploaders with maintainer's permission.
  * Update to build with vtk6 (Closes: #750088):
    + New patch: vtk6.patch
  * debian/patches/20debianise-makefiles.patch: Leave the rule for
    therion.res alone - it won't be used on Linux anyway.  Improve added
    dependency to ensure that therion really gets built before trying to
    process the samples.
  * 50svg-logo.patch: Drop patch, and instead ship the therion.svg file it
    creates in the debian directory.

 -- Olly Betts <olly@survex.com>  Sat, 16 Aug 2014 13:42:30 +1200
