## therion 5.3.16

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # PLATFORM CONFIG
 
 # PLATFORM LINUX
-##CXX = g++
+##CXX = c++
 ##CC = gcc
 ##POBJECTS =
 ##LOCHEXE = loch/loch
@@ -34,6 +34,7 @@
 ##LDPFLAGS = -s
 ##export THPLATFORM = LINUX
 ##THXTHMKCMD = ./therion
+##OUTDIR = $(abspath $(PWD)/../therion.bin)
 
 
 # PLATFORM DEBIAN
@@ -58,7 +59,7 @@
 ##LDPFLAGS = -static-libgcc -static -s
 ##export THPLATFORM = WIN32
 ##THXTHMKCMD = therion
-##OUTDIR = ../therion.bin
+##OUTDIR = $(abspath $(PWD)/../therion.bin)
 
 # PLATFORM MACOSX
 ##CXX = c++
@@ -310,6 +311,14 @@
 $(OUTDIR)/thcmdline.o: thcmdline.cxx thcmdline.h therion.h thlogfile.h thbuffer.h \
  thconfig.h thmbuffer.h thinput.h thparse.h thexporter.h thexport.h \
  thobjectsrc.h thselector.h thtmpdir.h extern/getopt.h
+$(OUTDIR)/thcomment.o: thcomment.cxx thcomment.h thdataobject.h thdatabase.h \
+ thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h thdataleg.h \
+ thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h loch/lxMath.h \
+ thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
+ thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
+ thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
+ thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h thdata.h thtfangle.h \
+ thtf.h thtflength.h thtfpwf.h thexception.h
 $(OUTDIR)/thconfig.o: thconfig.cxx thconfig.h thbuffer.h thmbuffer.h thinput.h \
  thparse.h thexporter.h thexport.h thobjectsrc.h thselector.h therion.h \
  thlang.h thlangdata.h thchenc.h thchencdata.h thexception.h thdatabase.h \
@@ -319,7 +328,8 @@
  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
  thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h thdatareader.h \
  thcsdata.h thproj.h thlogfile.h thinit.h thgeomag.h thgeomagdata.h \
- thlayout.h thsymbolset.h thsymbolsetlist.h thlocale.h thsketch.h thpic.h \
+ thlayout.h thsymbolset.h thsymbolsetlist.h thlocale.h thcomment.h \
+ thdata.h thtfangle.h thtf.h thtflength.h thtfpwf.h thsketch.h thpic.h \
  thcs.h
 $(OUTDIR)/thconvert.o: thconvert.cxx thpdfdbg.h thexception.h therion.h thbuffer.h \
  thpdfdata.h thepsparse.h thtexfonts.h
@@ -334,13 +344,3 @@
 $(OUTDIR)/thcsdata.o: thcsdata.cxx thcsdata.h thparse.h thbuffer.h thmbuffer.h
 $(OUTDIR)/thdata.o: thdata.cxx thdata.h thdataleg.h thparse.h thbuffer.h \
  thmbuffer.h thobjectname.h therion.h thobjectsrc.h thinfnan.h \
- thdataobject.h thdatabase.h thdb1d.h thobjectid.h thdb3d.h loch/lxMath.h \
- thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
- thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
- thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
- thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h thtfangle.h thtf.h \
- thtflength.h thtfpwf.h thexception.h thsurvey.h thlayout.h thsymbolset.h \
- thsymbolsetlist.h thlocale.h thgrade.h thcsdata.h thdatareader.h \
- thinput.h
-$(OUTDIR)/thdatabase.o: thdatabase.cxx thdatabase.h thdataobject.h thperson.h \
- thparse.h thbuffer.h thmbuffer.h thdate.h thdataleg.h thobjectname.h \
