=== debian/changelog ===
therion (5.3.16-7build2) wily; urgency=medium

  * No-change rebuild for vtk 6.2.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Aug 2015 12:48:17 +0200

therion (5.3.16-7build1) wily; urgency=medium

  * No-change rebuild against libwx*-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 12:29:06 +0200

therion (5.3.16-7) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Add "Homepage" field.
  * debian/control: Punctuation tweaks for descriptions.
  * "Standards-Version: 3.9.6" (no changes required).
  * debian/copyright: Fix lintian warnings.
  * 30doc-fixes.patch,35loch-manpage.patch: Improve man pages:
    + Document that xtherion and loch accept filenames on the command line.
    + Reference loch man pages from others.
    + Fix incorrect paths to thbook.pdf.
    + Note PNG and JPEG are supported image formats if libtk-img is installed.
  * therion.desktop,therion-viewer.desktop:
    + Add %f or %F as appropriate to Exec.
    + Drop deprecated "Encoding=UTF-8".
  * debian/watch: Remove template comment.

 -- Olly Betts <olly@survex.com>  Wed, 20 May 2015 20:53:34 +1200

therion (5.3.16-6) experimental; urgency=low

  * Rebase packaging on top of the actually uploaded 5.3.15-2 (which will be
    in jessie) rather than a never uploaded version of 5.3.15-1.
  * Fix long delay processing large log files (Closes: #751471)
    + New patch: fix-log-file-regexp-backtracking.patch
  * Fix a couple of remaining wx3.0 issues.
    + New patch: wx3.0-leftovers.patch
  * debian/copyright: Fix "Licence:" to "License:", noted by lintian.
  * Drop unused therion-document-missing-cs.patch as it's been applied
    upstream.
  * Update 20debianise-makefiles.patch and 25debianize-loch-makefile.patch so
    that all hardening flags get used.

 -- Olly Betts <olly@survex.com>  Tue, 13 Jan 2015 16:12:21 +1300

therion (5.3.16-5) experimental; urgency=low

  * Remove redundant patches from patches dir
    Update copyright file to cover 'extern' files
    Apply fix-altitude-colours-with-centreline patch 

 -- Wookey <wookey@debian.org>  Thu, 08 Jan 2015 00:46:45 +0000

therion (5.3.16-4) experimental; urgency=medium

  * Remove now-unnecessary nolang-segfault-fix patch

 -- Wookey <wookey@debian.org>  Wed, 07 Jan 2015 22:35:05 +0000

therion (5.3.16-3) experimental; urgency=medium

  * Include missing libproj build-dep

 -- Wookey <wookey@debian.org>  Mon, 05 Jan 2015 22:09:29 +0000

therion (5.3.16-2) experimental; urgency=medium

  * Use external libproj instead of internal (Closes: 758268)

 -- Wookey <wookey@debian.org>  Mon, 05 Jan 2015 13:31:35 +0000

therion (5.3.16-1) experimental; urgency=medium

  * New upstream release

 -- Wookey <wookey@debian.org>  Mon, 29 Dec 2014 23:42:52 +0000
