=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Wookey <wookey@debian.org>
 Uploaders: Olly Betts <olly@survex.com>
 Build-Depends: dpkg (>=1.16.2), debhelper (>= 9), perl (>= 5.5), docbook-to-man, tcl, 
-  libvtk6-dev, libwxgtk3.0-dev, libfreetype6-dev, libjpeg-dev, libpng-dev, pkg-config, texlive-base
+  libvtk6-dev, libwxgtk3.0-dev, libfreetype6-dev, libjpeg-dev, libpng-dev, pkg-config, texlive-base, libproj-dev
 Build-Depends-Indep: texlive-metapost, imagemagick, ghostscript 
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
+Homepage: http://therion.speleo.sk/
 
 Package: therion
 Architecture: any
@@ -17,7 +18,7 @@
  Therion aids the process of drawing up cave surveys (maps). Drawings are 
  done over scans and can be distorted to fit the centreline data. Output is 
  in single sheet or atlas style PDF or SVG files. All data is stored in text 
- files and a map  editor (xtherion) is provided to aid in the creation of the 
+ files and a map editor (xtherion) is provided to aid in the creation of the 
  files. A wide range of co-ordinate systems is supported. 
  .
  Therion can also produce 3D models, generated from walls and
@@ -33,9 +34,9 @@
  Survex will be used for loop-closure if installed, but is not required.
  .
  You will need appropriate TeX language packages to process therion files which 
- specify those character sets: Texlive-lang-czechslovak is needed to process 
+ specify those character sets: texlive-lang-czechslovak is needed to process 
  the examples, and texlive-lang-cyrillic is also suggested. See README.Debian 
- for details
+ for details.
