=== debian/watch ===
# Run the "uscan" command to check for upstream updates.
version=3
http://therion.speleo.sk/download.php  downloads/therion-(.*)\.tar\.gz debian uupdate
